document.addEventListener('DOMContentLoaded', () => {
  const capitals = [
    { city: 'London', country: 'United Kingdom', lat: 51.5074, lon: -0.1278 },
    { city: 'Paris', country: 'France', lat: 48.8566, lon: 2.3522 },
    // Add more capitals here
  ];

  const viewMap = document.getElementById('viewMap');
  const viewList = document.getElementById('viewList');
  const mapView = document.getElementById('map-view');
  const listView = document.getElementById('list-view');
  const searchInput = document.getElementById('searchInput');
  const capitalsGrid = document.getElementById('capitals-grid');

  function toggleView(button, view) {
    document.querySelectorAll('button').forEach(btn => btn.classList.remove('active'));
    document.querySelectorAll('.view').forEach(v => v.classList.remove('active'));
    button.classList.add('active');
    view.classList.add('active');
  }

  viewMap.addEventListener('click', () => toggleView(viewMap, mapView));
  viewList.addEventListener('click', () => toggleView(viewList, listView));

  function createCityCard(city) {
    const card = document.createElement('div');
    card.className = 'city-card';
    card.innerHTML = `
      <h2>${city.city}</h2>
      <p>Capital of ${city.country}</p>
      <p>Coordinates: ${city.lat}, ${city.lon}</p>
    `;
    return card;
  }

  function renderCities(filter = '') {
    capitalsGrid.innerHTML = '';
    const filteredCities = capitals.filter(capital => 
      capital.city.toLowerCase().includes(filter.toLowerCase()) ||
      capital.country.toLowerCase().includes(filter.toLowerCase())
    );
    filteredCities.forEach(city => {
      capitalsGrid.appendChild(createCityCard(city));
    });
  }

  searchInput.addEventListener('input', (e) => {
    renderCities(e.target.value);
  });

  // Initial render
  renderCities();
});
